indexing
   description: "Change the fractal type."
   status: "Free according to the GPL license (see COPYING)"
   date: "$Date$"
   revision: "$Revision$"
   author: "Mark Arrasmith <arrasmith@math.twsu.edu> and Miron Brezuleanu"
   
   
class NEW_TYPES_DIALOG 
   
inherit
   EXG_DIALOG
   STARTUP
   
creation
   make
   
feature
   
   init_dialog is
      do
	 type := config.type
      end
   
   commit is
	 -- will write the changes to the fields
      do
	 type := combo.entry.text
	 config.set_type(type)
	 commit_ok := True
      end
   
   build_vbox is
      local
	 table: GTK_TABLE
	 label: GTK_LABEL
      do
	 set_title("Enter Fractal Type:")
	 !!vbox.make(False, 0)	 
	 
	 !!table.make(2, 2, False)
	 
	 !!label.make_with_label("Enter Fractal type for the new fractal:")
	 label.set_alignment(0.0, 0.5)
	 table.attach2(label, 0, 2, 0, 1)
	 label.show
	 
	 !!label.make_with_label("Name Types ")
	 label.set_alignment(0.0, 0.5)
	 table.attach2(label, 0, 1, 1, 2)
	 label.show
	 
	 !!combo.make
	 combo.set_popdown_strings(fractal_names)
	 combo.entry.set_text(config.type)
	 table.attach2(combo, 1, 2, 1, 2)
	 combo.show

     vbox.pack_start(table, True, True, 0)
	 table.show
      end	 
   
feature -- attributes
   
   combo: GTK_COMBO
   type: STRING
   
end -- NEW_TYPES_DIALOG

